Bug 614425

Summary: Mock fails with yum error when trying to build for FC12 on RHEL 5
Product: Red Hat Enterprise Linux 5 Reporter: Jessica Jones <fedora>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED CANTFIX QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: medium Docs Contact:
Priority: low    
Version: 5.7   
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-14 09:33:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Half-written spec file for Gold none

Description Jessica Jones 2010-07-14 09:17:56 EDT
Created attachment 431768 [details]
Half-written spec file for Gold

Description of problem:

I'm trying to package a piece of software called Gold and was using mock to check that it builds correctly so that I can fix errors in the spec file (obviously it isn't finished yet).  Unfortunately, every time I run mock with a target distro of fc12 yum falls over (error pasted below).


Version-Release number of selected component (if applicable):
[jrj24@ccpc-scipio gold]$ yum --version
3.2.22
*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.
  Installed: rpm-4.4.2.3-18.el5.x86_64 at 2010-01-11 13:16
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-07-24 05:58
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-07-24 22:00

  Installed: yum-3.2.22-26.el5.noarch at 2010-03-31 11:27
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2010-02-23 16:50
  Committed: James Antill <jantill@redhat.com> at 2010-02-23 22:00

  Installed: yum-metadata-parser-1.1.2-3.el5.x86_64 at 2010-01-11 13:12
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-04-06 14:15
  Committed: James Antill <james.antill@redhat.com> at 2009-04-06 22:00

  Installed: yum-rhn-plugin-0.5.4-15.el5.noarch at 2010-03-31 10:59
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-12-21 11:59
  Committed: Milan Zazrivec <mzazrivec@redhat.com> at 2009-12-21 22:00

How reproducible:

Happens every time with the created SRPM.

Steps to Reproduce:
(You'll need to download the gold source)
1. rpmbuild -bs --nodeps gold.spec
2. mock -r fedora-12-i386 --rebuild /home/jrj24/rpm/SRPMS/gold-2.1.12.2-1.src.rpm
  
Actual results:
[jrj24@ccpc-scipio gold]$ mock -r fedora-12-i386 --rebuild /home/jrj24/rpm/SRPMS/gold-2.1.12.2-1.src.rpm
INFO: mock.py version 1.0.7 starting...
State Changed: init plugins
State Changed: start
INFO: Start(/home/jrj24/rpm/SRPMS/gold-2.1.12.2-1.src.rpm)  Config(fedora-12-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.7
INFO: Mock Version: 1.0.7
INFO: enabled root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
ERROR: Exception(/home/jrj24/rpm/SRPMS/gold-2.1.12.2-1.src.rpm) Config(fedora-12-i386) 0 minutes 7 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-i386/result
ERROR: Command failed:
 # /usr/bin/yum --installroot /var/lib/mock/fedora-12-i386/root/  groupinstall buildsys-build

================================================================================
 Package                Arch    Version                 Repository         Size
================================================================================
Installing:
 bash                   i686    4.0.35-4.fc12           updates-released  802 k
 bzip2                  i686    1.0.5-6.fc12            fedora             47 k
 coreutils              i686    7.6-11.fc12             updates-released  2.8 M
 cpio                   i686    2.10-5.fc12             updates-released  191 k
 diffutils              i686    2.8.1-25.fc12           fedora            187 k
 fedora-release         noarch  12-2                    updates-released   20 k
 findutils              i686    1:4.4.2-8.fc12          updates-released  414 k
 gawk                   i686    3.1.7-3.fc12            updates-released  769 k
 gcc                    i686    4.4.4-10.fc12           updates-released  8.1 M
 gcc-c++                i686    4.4.4-10.fc12           updates-released  4.3 M
 grep                   i686    2.6.3-1.fc12            updates-released  226 k
 gzip                   i686    1.3.12-15.fc12          updates-released  113 k
 info                   i686    4.13a-9.fc12            updates-released  172 k
 make                   i686    1:3.81-18.fc12          fedora            366 k
 patch                  i686    2.6.1-1.fc12            updates-released   85 k
 redhat-rpm-config      noarch  9.0.3-18.fc12           fedora             53 k
 rpm-build              i686    4.7.2-2.fc12            updates-released  118 k
 sed                    i686    4.2.1-5.fc12            updates-released  213 k
 shadow-utils           i686    2:4.1.4.2-3.fc12        updates-released  904 k
 tar                    i686    2:1.22-13.fc12          updates-released  744 k
 unzip                  i686    5.52-12.fc12            updates-released  122 k
 util-linux-ng          i686    2.16.2-9.fc12           updates-released  1.4 M
 which                  i686    2.19-5.fc12             fedora             37 k
Installing for dependencies:
 audit-libs             i686    2.0.4-1.fc12            updates-released   61 k
 basesystem             noarch  10.0-3                  fedora            4.2 k
 binutils               i686    2.19.51.0.14-37.fc12    updates-released  2.7 M
 bzip2-libs             i686    1.0.5-6.fc12            fedora             35 k
 ca-certificates        noarch  2009-2.fc12             fedora            300 k
 cloog-ppl              i686    0.15.7-1.fc12           fedora             81 k
 coreutils-libs         i686    7.6-11.fc12             updates-released   43 k
 cpp                    i686    4.4.4-10.fc12           updates-released  3.3 M
 cracklib               i686    2.8.13-6                fedora             45 k
 cracklib-dicts         i686    2.8.13-6                fedora            3.0 M
 curl                   i686    7.19.7-10.fc12          updates-released  190 k
 cyrus-sasl-lib         i686    2.1.23-9.fc12           updates-released  135 k
 db4                    i686    4.7.25-13.fc12          fedora            537 k
 db4-utils              i686    4.7.25-13.fc12          fedora            121 k
 elfutils               i686    0.148-1.fc12            updates-released  206 k
 elfutils-libelf        i686    0.148-1.fc12            updates-released  168 k
 elfutils-libs          i686    0.148-1.fc12            updates-released  193 k
 file                   i686    5.03-14.fc12            updates-released   43 k
 file-libs              i686    5.03-14.fc12            updates-released  302 k
 filesystem             i686    2.4.30-2.fc12           fedora            1.0 M
 gdbm                   i686    1.8.0-33.fc12           fedora             27 k
 glibc                  i686    2.11.2-1                updates-released  4.2 M
 glibc-common           i686    2.11.2-1                updates-released   14 M
 glibc-devel            i686    2.11.2-1                updates-released  955 k
 glibc-headers          i686    2.11.2-1                updates-released  591 k
 gmp                    i686    4.3.1-5.fc12            fedora            308 k
 kernel-headers         i686    2.6.32.16-141.fc12      updates-released  756 k
 keyutils-libs          i686    1.2-6.fc12              fedora             18 k
 krb5-libs              i686    1.7.1-9.fc12            updates-released  656 k
 less                   i686    436-6.fc12              updates-released  106 k
 libacl                 i686    2.2.49-3.fc12           updates-released   23 k
 libattr                i686    2.4.44-1.fc12           updates-released   14 k
 libblkid               i686    2.16.2-9.fc12           updates-released   88 k
 libcap                 i686    2.16-5.fc12             fedora             29 k
 libcom_err             i686    1.41.9-7.fc12           updates-released   33 k
 libcurl                i686    7.19.7-10.fc12          updates-released  163 k
 libgcc                 i686    4.4.4-10.fc12           updates-released  103 k
 libgomp                i686    4.4.4-10.fc12           updates-released  109 k
 libidn                 i686    1.9-5                   fedora            185 k
 libselinux             i686    2.0.90-5.fc12           updates-released  104 k
 libsepol               i686    2.0.41-3.fc12           updates-released  125 k
 libssh2                i686    1.2.4-1.fc12            updates-released   77 k
 libstdc++              i686    4.4.4-10.fc12           updates-released  290 k
 libstdc++-devel        i686    4.4.4-10.fc12           updates-released  1.5 M
 libuuid                i686    2.16.2-9.fc12           updates-released   59 k
 lua                    i686    5.1.4-4.fc12            fedora            193 k
 lzma                   i686    4.32.7-3.fc12           fedora             78 k
 lzma-libs              i686    4.32.7-3.fc12           fedora             31 k
 mpfr                   i686    2.4.1-5.fc12            updates-released  154 k
 ncurses                i686    5.7-3.20090207.fc12     fedora            264 k
 ncurses-base           i686    5.7-3.20090207.fc12     fedora             58 k
 ncurses-libs           i686    5.7-3.20090207.fc12     fedora            235 k
 nspr                   i686    4.8.4-2.fc12            updates-released  112 k
 nss                    i686    3.12.6-7.fc12           updates-released  742 k
 nss-softokn            i686    3.12.6-2.fc12.1         updates-released  169 k
 nss-softokn-freebl     i686    3.12.6-2.fc12.1         updates-released  112 k
 nss-sysinit            i686    3.12.6-7.fc12           updates-released   25 k
 nss-util               i686    3.12.6-1.fc12           updates-released   45 k
 openldap               i686    2.4.19-4.fc12           updates-released  231 k
 openssl                i686    1.0.0a-1.fc12           updates-released  1.4 M
 pam                    i686    1.1.0-7.fc12            fedora            643 k
 pcre                   i686    7.8-3.fc12              fedora            183 k
 perl                   i686    4:5.10.0-87.fc12        updates-released  9.7 M
 perl-Module-Pluggable  i686    1:3.90-87.fc12          updates-released   33 k
 perl-Pod-Escapes       i686    1:1.04-87.fc12          updates-released   25 k
 perl-Pod-Simple        i686    1:3.07-87.fc12          updates-released  191 k
 perl-libs              i686    4:5.10.0-87.fc12        updates-released  794 k
 perl-version           i686    3:0.82-1.fc12           updates-released   70 k
 pkgconfig              i686    1:0.23-9.fc12           fedora             64 k
 popt                   i686    1.13-6.fc12             fedora             37 k
 ppl                    i686    0.10.2-10.fc12          fedora            1.1 M
 readline               i686    6.0-3.fc12              fedora            169 k
 rpm                    i686    4.7.2-2.fc12            updates-released  872 k
 rpm-libs               i686    4.7.2-2.fc12            updates-released  322 k
 setup                  noarch  2.8.9-3.fc12            updates-released  145 k
 sqlite                 i686    3.6.20-1.fc12           updates-released  307 k
 tzdata                 noarch  2010j-1.fc12            updates-released  440 k
 xz                     i686    4.999.9-0.2.beta.20091007git.fc12
                                                        updates-released  137 k
 xz-libs                i686    4.999.9-0.2.beta.20091007git.fc12
                                                        updates-released   94 k
 zlib                   i686    1.2.3-23.fc12           fedora             69 k

Transaction Summary
================================================================================
Install     103 Package(s)
Upgrade       0 Package(s)

Total size: 78 M
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by mpfr-2.4.1-5.fc12.i686
rpmlib(PayloadIsXz) is needed by mpfr-2.4.1-5.fc12.i686
rpmlib(FileDigests) is needed by gcc-c++-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by gcc-c++-4.4.4-10.fc12.i686
rpmlib(FileDigests) is needed by gmp-4.3.1-5.fc12.i686
rpmlib(PayloadIsXz) is needed by gmp-4.3.1-5.fc12.i686
rpmlib(FileDigests) is needed by libssh2-1.2.4-1.fc12.i686
rpmlib(PayloadIsXz) is needed by libssh2-1.2.4-1.fc12.i686
rpmlib(FileDigests) is needed by rpm-libs-4.7.2-2.fc12.i686
rpmlib(PayloadIsXz) is needed by rpm-libs-4.7.2-2.fc12.i686
rpmlib(FileDigests) is needed by nss-softokn-3.12.6-2.fc12.1.i686
rpmlib(PayloadIsXz) is needed by nss-softokn-3.12.6-2.fc12.1.i686
rpmlib(FileDigests) is needed by glibc-devel-2.11.2-1.i686
rpmlib(PayloadIsXz) is needed by glibc-devel-2.11.2-1.i686
rpmlib(FileDigests) is needed by pam-1.1.0-7.fc12.i686
rpmlib(PayloadIsXz) is needed by pam-1.1.0-7.fc12.i686
rpmlib(FileDigests) is needed by libstdc++-devel-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by libstdc++-devel-4.4.4-10.fc12.i686
rpmlib(FileDigests) is needed by libacl-2.2.49-3.fc12.i686
rpmlib(PayloadIsXz) is needed by libacl-2.2.49-3.fc12.i686
rpmlib(FileDigests) is needed by elfutils-libelf-0.148-1.fc12.i686
rpmlib(PayloadIsXz) is needed by elfutils-libelf-0.148-1.fc12.i686
rpmlib(FileDigests) is needed by ca-certificates-2009-2.fc12.noarch
rpmlib(PayloadIsXz) is needed by ca-certificates-2009-2.fc12.noarch
rpmlib(FileDigests) is needed by findutils-4.4.2-8.fc12.i686
rpmlib(PayloadIsXz) is needed by findutils-4.4.2-8.fc12.i686
rpmlib(FileDigests) is needed by gawk-3.1.7-3.fc12.i686
rpmlib(PayloadIsXz) is needed by gawk-3.1.7-3.fc12.i686
rpmlib(FileDigests) is needed by unzip-5.52-12.fc12.i686
rpmlib(PayloadIsXz) is needed by unzip-5.52-12.fc12.i686
rpmlib(FileDigests) is needed by gdbm-1.8.0-33.fc12.i686
rpmlib(PayloadIsXz) is needed by gdbm-1.8.0-33.fc12.i686
rpmlib(FileDigests) is needed by nss-sysinit-3.12.6-7.fc12.i686
rpmlib(PayloadIsXz) is needed by nss-sysinit-3.12.6-7.fc12.i686
rpmlib(FileDigests) is needed by lua-5.1.4-4.fc12.i686
rpmlib(PayloadIsXz) is needed by lua-5.1.4-4.fc12.i686
rpmlib(FileDigests) is needed by libblkid-2.16.2-9.fc12.i686
rpmlib(PayloadIsXz) is needed by libblkid-2.16.2-9.fc12.i686
rpmlib(FileDigests) is needed by rpm-4.7.2-2.fc12.i686
rpmlib(PayloadIsXz) is needed by rpm-4.7.2-2.fc12.i686
rpmlib(FileDigests) is needed by sed-4.2.1-5.fc12.i686
rpmlib(PayloadIsXz) is needed by sed-4.2.1-5.fc12.i686
rpmlib(FileDigests) is needed by bash-4.0.35-4.fc12.i686
rpmlib(PayloadIsXz) is needed by bash-4.0.35-4.fc12.i686
rpmlib(FileDigests) is needed by popt-1.13-6.fc12.i686
rpmlib(PayloadIsXz) is needed by popt-1.13-6.fc12.i686
rpmlib(FileDigests) is needed by shadow-utils-4.1.4.2-3.fc12.i686
rpmlib(PayloadIsXz) is needed by shadow-utils-4.1.4.2-3.fc12.i686
rpmlib(FileDigests) is needed by gcc-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by gcc-4.4.4-10.fc12.i686
rpmlib(FileDigests) is needed by cloog-ppl-0.15.7-1.fc12.i686
rpmlib(PayloadIsXz) is needed by cloog-ppl-0.15.7-1.fc12.i686
rpmlib(FileDigests) is needed by ncurses-5.7-3.20090207.fc12.i686
rpmlib(PayloadIsXz) is needed by ncurses-5.7-3.20090207.fc12.i686
rpmlib(FileDigests) is needed by nspr-4.8.4-2.fc12.i686
rpmlib(PayloadIsXz) is needed by nspr-4.8.4-2.fc12.i686
rpmlib(FileDigests) is needed by pcre-7.8-3.fc12.i686
rpmlib(PayloadIsXz) is needed by pcre-7.8-3.fc12.i686
rpmlib(FileDigests) is needed by kernel-headers-2.6.32.16-141.fc12.i686
rpmlib(PayloadIsXz) is needed by kernel-headers-2.6.32.16-141.fc12.i686
rpmlib(FileDigests) is needed by cyrus-sasl-lib-2.1.23-9.fc12.i686
rpmlib(PayloadIsXz) is needed by cyrus-sasl-lib-2.1.23-9.fc12.i686
rpmlib(FileDigests) is needed by elfutils-libs-0.148-1.fc12.i686
rpmlib(PayloadIsXz) is needed by elfutils-libs-0.148-1.fc12.i686
rpmlib(FileDigests) is needed by info-4.13a-9.fc12.i686
rpmlib(PayloadIsXz) is needed by info-4.13a-9.fc12.i686
rpmlib(FileDigests) is needed by tar-1.22-13.fc12.i686
rpmlib(PayloadIsXz) is needed by tar-1.22-13.fc12.i686
rpmlib(FileDigests) is needed by libselinux-2.0.90-5.fc12.i686
rpmlib(PayloadIsXz) is needed by libselinux-2.0.90-5.fc12.i686
rpmlib(FileDigests) is needed by glibc-2.11.2-1.i686
rpmlib(PayloadIsXz) is needed by glibc-2.11.2-1.i686
rpmlib(PayloadIsXz) is needed by db4-4.7.25-13.fc12.i686
rpmlib(FileDigests) is needed by make-3.81-18.fc12.i686
rpmlib(PayloadIsXz) is needed by make-3.81-18.fc12.i686
rpmlib(FileDigests) is needed by ncurses-base-5.7-3.20090207.fc12.i686
rpmlib(PayloadIsXz) is needed by ncurses-base-5.7-3.20090207.fc12.i686
rpmlib(FileDigests) is needed by basesystem-10.0-3.noarch
rpmlib(PayloadIsXz) is needed by basesystem-10.0-3.noarch
rpmlib(FileDigests) is needed by gzip-1.3.12-15.fc12.i686
rpmlib(PayloadIsXz) is needed by gzip-1.3.12-15.fc12.i686
rpmlib(FileDigests) is needed by perl-libs-5.10.0-87.fc12.i686
rpmlib(PayloadIsXz) is needed by perl-libs-5.10.0-87.fc12.i686
rpmlib(FileDigests) is needed by perl-5.10.0-87.fc12.i686
rpmlib(PayloadIsXz) is needed by perl-5.10.0-87.fc12.i686
rpmlib(FileDigests) is needed by binutils-2.19.51.0.14-37.fc12.i686
rpmlib(PayloadIsXz) is needed by binutils-2.19.51.0.14-37.fc12.i686
rpmlib(FileDigests) is needed by libcurl-7.19.7-10.fc12.i686
rpmlib(PayloadIsXz) is needed by libcurl-7.19.7-10.fc12.i686
rpmlib(FileDigests) is needed by libattr-2.4.44-1.fc12.i686
rpmlib(PayloadIsXz) is needed by libattr-2.4.44-1.fc12.i686
rpmlib(FileDigests) is needed by tzdata-2010j-1.fc12.noarch
rpmlib(PayloadIsXz) is needed by tzdata-2010j-1.fc12.noarch
rpmlib(FileDigests) is needed by cracklib-dicts-2.8.13-6.i686
rpmlib(PayloadIsXz) is needed by cracklib-dicts-2.8.13-6.i686
rpmlib(FileDigests) is needed by sqlite-3.6.20-1.fc12.i686
rpmlib(PayloadIsXz) is needed by sqlite-3.6.20-1.fc12.i686
rpmlib(FileDigests) is needed by bzip2-1.0.5-6.fc12.i686
rpmlib(PayloadIsXz) is needed by bzip2-1.0.5-6.fc12.i686
rpmlib(FileDigests) is needed by keyutils-libs-1.2-6.fc12.i686
rpmlib(PayloadIsXz) is needed by keyutils-libs-1.2-6.fc12.i686
rpmlib(FileDigests) is needed by coreutils-libs-7.6-11.fc12.i686
rpmlib(PayloadIsXz) is needed by coreutils-libs-7.6-11.fc12.i686
rpmlib(FileDigests) is needed by curl-7.19.7-10.fc12.i686
rpmlib(PayloadIsXz) is needed by curl-7.19.7-10.fc12.i686
rpmlib(PayloadIsXz) is needed by db4-utils-4.7.25-13.fc12.i686
rpmlib(FileDigests) is needed by fedora-release-12-2.noarch
rpmlib(PayloadIsXz) is needed by fedora-release-12-2.noarch
rpmlib(FileDigests) is needed by which-2.19-5.fc12.i686
rpmlib(PayloadIsXz) is needed by which-2.19-5.fc12.i686
rpmlib(FileDigests) is needed by libstdc++-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by libstdc++-4.4.4-10.fc12.i686
rpmlib(FileDigests) is needed by lzma-libs-4.32.7-3.fc12.i686
rpmlib(PayloadIsXz) is needed by lzma-libs-4.32.7-3.fc12.i686
rpmlib(FileDigests) is needed by xz-4.999.9-0.2.beta.20091007git.fc12.i686
rpmlib(PayloadIsXz) is needed by xz-4.999.9-0.2.beta.20091007git.fc12.i686
rpmlib(FileDigests) is needed by libidn-1.9-5.i686
rpmlib(PayloadIsXz) is needed by libidn-1.9-5.i686
rpmlib(FileDigests) is needed by openssl-1.0.0a-1.fc12.i686
rpmlib(PayloadIsXz) is needed by openssl-1.0.0a-1.fc12.i686
rpmlib(FileDigests) is needed by util-linux-ng-2.16.2-9.fc12.i686
rpmlib(PayloadIsXz) is needed by util-linux-ng-2.16.2-9.fc12.i686
rpmlib(FileDigests) is needed by cpp-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by cpp-4.4.4-10.fc12.i686
rpmlib(FileDigests) is needed by bzip2-libs-1.0.5-6.fc12.i686
rpmlib(PayloadIsXz) is needed by bzip2-libs-1.0.5-6.fc12.i686
rpmlib(FileDigests) is needed by nss-util-3.12.6-1.fc12.i686
rpmlib(PayloadIsXz) is needed by nss-util-3.12.6-1.fc12.i686
rpmlib(FileDigests) is needed by cracklib-2.8.13-6.i686
rpmlib(PayloadIsXz) is needed by cracklib-2.8.13-6.i686
rpmlib(FileDigests) is needed by rpm-build-4.7.2-2.fc12.i686
rpmlib(PayloadIsXz) is needed by rpm-build-4.7.2-2.fc12.i686
rpmlib(FileDigests) is needed by pkgconfig-0.23-9.fc12.i686
rpmlib(PayloadIsXz) is needed by pkgconfig-0.23-9.fc12.i686
rpmlib(FileDigests) is needed by ppl-0.10.2-10.fc12.i686
rpmlib(PayloadIsXz) is needed by ppl-0.10.2-10.fc12.i686
rpmlib(FileDigests) is needed by readline-6.0-3.fc12.i686
rpmlib(PayloadIsXz) is needed by readline-6.0-3.fc12.i686
rpmlib(FileDigests) is needed by diffutils-2.8.1-25.fc12.i686
rpmlib(PayloadIsXz) is needed by diffutils-2.8.1-25.fc12.i686
rpmlib(FileDigests) is needed by setup-2.8.9-3.fc12.noarch
rpmlib(PayloadIsXz) is needed by setup-2.8.9-3.fc12.noarch
rpmlib(FileDigests) is needed by perl-Pod-Simple-3.07-87.fc12.i686
rpmlib(PayloadIsXz) is needed by perl-Pod-Simple-3.07-87.fc12.i686
rpmlib(FileDigests) is needed by libsepol-2.0.41-3.fc12.i686
rpmlib(PayloadIsXz) is needed by libsepol-2.0.41-3.fc12.i686
rpmlib(FileDigests) is needed by krb5-libs-1.7.1-9.fc12.i686
rpmlib(PayloadIsXz) is needed by krb5-libs-1.7.1-9.fc12.i686
rpmlib(FileDigests) is needed by zlib-1.2.3-23.fc12.i686
rpmlib(PayloadIsXz) is needed by zlib-1.2.3-23.fc12.i686
rpmlib(FileDigests) is needed by openldap-2.4.19-4.fc12.i686
rpmlib(PayloadIsXz) is needed by openldap-2.4.19-4.fc12.i686
rpmlib(FileDigests) is needed by libcap-2.16-5.fc12.i686
rpmlib(PayloadIsXz) is needed by libcap-2.16-5.fc12.i686
rpmlib(FileDigests) is needed by redhat-rpm-config-9.0.3-18.fc12.noarch
rpmlib(PayloadIsXz) is needed by redhat-rpm-config-9.0.3-18.fc12.noarch
rpmlib(FileDigests) is needed by filesystem-2.4.30-2.fc12.i686
rpmlib(PayloadIsXz) is needed by filesystem-2.4.30-2.fc12.i686
rpmlib(FileDigests) is needed by elfutils-0.148-1.fc12.i686
rpmlib(PayloadIsXz) is needed by elfutils-0.148-1.fc12.i686
rpmlib(FileDigests) is needed by cpio-2.10-5.fc12.i686
rpmlib(PayloadIsXz) is needed by cpio-2.10-5.fc12.i686
rpmlib(FileDigests) is needed by perl-version-0.82-1.fc12.i686
rpmlib(PayloadIsXz) is needed by perl-version-0.82-1.fc12.i686
rpmlib(FileDigests) is needed by nss-3.12.6-7.fc12.i686
rpmlib(PayloadIsXz) is needed by nss-3.12.6-7.fc12.i686
rpmlib(FileDigests) is needed by nss-softokn-freebl-3.12.6-2.fc12.1.i686
rpmlib(PayloadIsXz) is needed by nss-softokn-freebl-3.12.6-2.fc12.1.i686
rpmlib(FileDigests) is needed by patch-2.6.1-1.fc12.i686
rpmlib(PayloadIsXz) is needed by patch-2.6.1-1.fc12.i686
rpmlib(FileDigests) is needed by xz-libs-4.999.9-0.2.beta.20091007git.fc12.i686
rpmlib(PayloadIsXz) is needed by xz-libs-4.999.9-0.2.beta.20091007git.fc12.i686
rpmlib(FileDigests) is needed by less-436-6.fc12.i686
rpmlib(PayloadIsXz) is needed by less-436-6.fc12.i686
rpmlib(FileDigests) is needed by ncurses-libs-5.7-3.20090207.fc12.i686
rpmlib(PayloadIsXz) is needed by ncurses-libs-5.7-3.20090207.fc12.i686
rpmlib(FileDigests) is needed by libcom_err-1.41.9-7.fc12.i686
rpmlib(PayloadIsXz) is needed by libcom_err-1.41.9-7.fc12.i686
rpmlib(FileDigests) is needed by perl-Pod-Escapes-1.04-87.fc12.i686
rpmlib(PayloadIsXz) is needed by perl-Pod-Escapes-1.04-87.fc12.i686
rpmlib(FileDigests) is needed by perl-Module-Pluggable-3.90-87.fc12.i686
rpmlib(PayloadIsXz) is needed by perl-Module-Pluggable-3.90-87.fc12.i686
rpmlib(FileDigests) is needed by libgcc-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by libgcc-4.4.4-10.fc12.i686
rpmlib(FileDigests) is needed by file-5.03-14.fc12.i686
rpmlib(PayloadIsXz) is needed by file-5.03-14.fc12.i686
rpmlib(FileDigests) is needed by coreutils-7.6-11.fc12.i686
rpmlib(PayloadIsXz) is needed by coreutils-7.6-11.fc12.i686
rpmlib(FileDigests) is needed by libuuid-2.16.2-9.fc12.i686
rpmlib(PayloadIsXz) is needed by libuuid-2.16.2-9.fc12.i686
rpmlib(FileDigests) is needed by lzma-4.32.7-3.fc12.i686
rpmlib(PayloadIsXz) is needed by lzma-4.32.7-3.fc12.i686
rpmlib(FileDigests) is needed by libgomp-4.4.4-10.fc12.i686
rpmlib(PayloadIsXz) is needed by libgomp-4.4.4-10.fc12.i686

rpmlib(FileDigests) is needed by file-libs-5.03-14.fc12.i686
rpmlib(PayloadIsXz) is needed by file-libs-5.03-14.fc12.i686
rpmlib(FileDigests) is needed by glibc-headers-2.11.2-1.i686
rpmlib(PayloadIsXz) is needed by glibc-headers-2.11.2-1.i686
rpmlib(FileDigests) is needed by audit-libs-2.0.4-1.fc12.i686
rpmlib(PayloadIsXz) is needed by audit-libs-2.0.4-1.fc12.i686
rpmlib(FileDigests) is needed by glibc-common-2.11.2-1.i686
rpmlib(PayloadIsXz) is needed by glibc-common-2.11.2-1.i686
rpmlib(FileDigests) is needed by grep-2.6.3-1.fc12.i686
rpmlib(PayloadIsXz) is needed by grep-2.6.3-1.fc12.i686
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

[jrj24@ccpc-scipio gold]$ 


Expected results:

Mock should hopefully bomb out because I have not included all the files in the BuildRequires that are needed (or some similar user error), not error because of yum.

Additional info:

I wondered if this is a problem with the differences in the rpm binary between RHEL 5 and FC12?

The machine was updated this morning, so it should be on the newest available versions of everything.
Comment 1 seth vidal 2010-07-14 09:33:58 EDT
Yes - rpm in fc12 has support for newer compression and checksum implementations than rhel5.

Mock uses yum to depsolve and install pkgs into a chroot. But yum is using the system's rpm to install the pkgs. In short, w/o an out-of-band update to rpm you won't be able to build for F12 on rhel5.
Comment 2 Jessica Jones 2010-07-14 10:14:33 EDT
I'm getting round it at the moment by using the fedora koji, but it is really slow.  Unfortunately I don't have the option of using a fedora box.

koji build --scratch dist-rawhide /home/jrj24/rpm/SRPMS/gold-2.1.12.2-1.src.rpm
Comment 3 Jessica Jones 2010-07-14 10:15:08 EDT
(In reply to comment #1)
> Yes - rpm in fc12 has support for newer compression and checksum
> implementations than rhel5.
> 
> Mock uses yum to depsolve and install pkgs into a chroot. But yum is using the
> system's rpm to install the pkgs. In short, w/o an out-of-band update to rpm
> you won't be able to build for F12 on rhel5.    

I'm pretty sure that would void the support contract for this box though?
Comment 4 seth vidal 2010-07-14 10:21:15 EDT
I don't know what the rules are for support contracts but perhaps this is a solution:

install fedora in a xen or kvm instance and build in there. It will require some ram, of course, but not a crazy amount.